package com.qiyou.mb.android.beans;

import java.util.ArrayList;

import com.qiyou.mb.android.beans.basic.Activity_bean;
import com.qiyou.mb.android.beans.basic.Group_bean;
import com.qiyou.mb.android.beans.basic.User_bean;

public class User {
public User(){}

private User_bean user_bean;
private ArrayList<Group_bean> groups;
private ArrayList<Activity_bean> activities;
private Statistics statistics;
private Track lastTrack;
private ArrayList<Track> tracks;


public boolean login(){
	return true;
}

public boolean update(){
	return true;
}

public boolean create(){
	return true;
}

public boolean logout(){
	return true;
}

public boolean delete(){
	return true;
}

 

/**
 * @return the user_bean
 */
public User_bean getUserbean() {
	if(user_bean==null)user_bean =new User_bean();
	return user_bean;
}
/**
 * @param user_bean the user_bean to set
 */
public void setUserbean(User_bean user_bean) {
	this.user_bean = user_bean;
}
/**
 * @return the groups
 */
public ArrayList<Group_bean> getGroups() {
	return groups;
}
/**
 * @param groups the groups to set
 */
public void setGroups(ArrayList<Group_bean> groups) {
	this.groups = groups;
}
/**
 * @return the activities
 */
public ArrayList<Activity_bean> getActivities() {
	return activities;
}
/**
 * @param activities the activities to set
 */
public void setActivities(ArrayList<Activity_bean> activities) {
	this.activities = activities;
}
/**
 * @return the statistics
 */
public Statistics getStatistics() {
	return statistics;
}
/**
 * @param statistics the statistics to set
 */
public void setStatistics(Statistics statistics) {
	this.statistics = statistics;
}
/**
 * @return the lastTrack
 */
public Track getLastTrack() {
	return lastTrack;
}
/**
 * @param lastTrack the lastTrack to set
 */
public void setLastTrack(Track lastTrack) {
	this.lastTrack = lastTrack;
}

public ArrayList<Track> getTracks() {
	return tracks;
}

public void setTracks(ArrayList<Track> tracks) {
	this.tracks = tracks;
}



}
